version: "2.4"
services:
  db:
    image: postgres:12.1-alpine
    restart: always
    container_name: vision-prototype-postgres
    environment:
      - POSTGRES_HOST=127.0.0.1
    ports:
      - "5432:5432"
    volumes:
      - ~/Dev/data/vision-service:/var/lib/postgresql/data
  load:
    container_name: vision-prototype-loader
    environment:
      - DATABASE_URL=postgres://postgres@db:5432/postgres
    build:
      context: ./backend
      dockerfile: ./loader.Dockerfile
    depends_on:
      - db
    links:
      - db